Bug 136600 - Inconsistent input from numeric pad when numlock off
Inconsistent input from numeric pad when numlock off
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 01:11 EDT by Edward C. Lang
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 19:47:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward C. Lang 2004-10-21 01:11:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040929
Firefox/0.10 (Ubuntu)

Description of problem:
A user in my group has reported that the behaviour of the direction
keys on the numpad is inconsistent when numlock is turned off.
Home/End/PgUp/PgDn and the arrow keys work fine in some applications
(such as gnome-terminal), but do not work in others (programs using
GtkHTML widgets such as Evolution's mail composer, Python's idle using
the Tkinter library). By not work, I mean: input is silently dropped.
There are no scancode errors or similar. I've never seen this problem
before, and I'm not sure where to start looking.

He is quite keen to rectify this situation, as he apparently doesn't
like using the usual 10[1-5] key keyboard direction keys...

I'm not sure if this is an X keyboard map configuration problem, or
what, so I'm reporting it in the xorg-11 package. I hope it doesn't
get lost in the noise.

Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-9

How reproducible:
Always

Steps to Reproduce:
1. Use default 105-key keyboard map, as selected during default FC2
x86_64 install.
2. Turn off numlock.
3. Open gnome-terminal, type in garbage, use direction keys on numpad
to move around.
4. Open idle, type in garbage, attempt to use direction keys on numpad
to move around. It fails.
    

Actual Results:  I, the group's sysadmin, get hassled. I've got exams
coming up!

Expected Results:  The direction keys on the numpad should function in
the same manner as the dedicate direction keys.

Additional info:
Comment 1 Rick Graves 2004-11-27 16:04:22 EST
Edward,

I have some info on this.  

1) I do not think think that "inconsisitent" does the problem justice
-- it is 100% consistent, key presses when numlock is off are ALWAYS
dropped. So I think the following summary is more accurate:  "input
from numeric pad always dropped when numlock off".

2) I have been having the same problem on i386 using CentOS-3, which
is derived from RHEL 3.  So the problem is not confined to fedora, and
is not confined to x86_64.

3) Idle does not have this problem when running in Windows.

So the problem may be more pervasive than you thought.  

This problem has been driving me nuts for months, but this is the
first time I have hit anything on point with Google searches.  
Comment 2 Rick Graves 2004-11-27 16:41:24 EST
Edward,

Now I understand what you meant by "inconsistent" -- the numeric
keypad direction keys work OK in some applications but not in others.

For IDLE, I put in a bug in SourceForge (where all Python bugs are
tracked), Request ID 1074333.  If we push on this from both ends, it
may get fixed quicker.  

https://sourceforge.net/tracker/index.php

Since this went in specifically under IDLE, I used the summary "input
from numeric pad always dropped when numlock off".  

I cannot add i386 to the platform here -- bugzilla said no, only the
owner can do that.

Thanks,

Rick Graves
Comment 3 Mike A. Harris 2005-03-06 19:47:10 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.